Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.forms.submit({
formId: "<id>",
requestBody: {
email: "Hadley.Kassulke49@yahoo.com",
answers: {
},
},
});
console.log(result);
}
run();curl --request POST \
--url https://api.crevio.co/v1/forms/{form_id}/submissions \
--header 'Authorization: <api-key>' \
--header 'Content-Type: application/json' \
--data '
{
"email": "<string>",
"answers": {},
"name": "<string>"
}
'import requests
url = "https://api.crevio.co/v1/forms/{form_id}/submissions"
payload = {
"email": "<string>",
"answers": {},
"name": "<string>"
}
headers = {
"Authorization": "<api-key>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({email: '<string>', answers: {}, name: '<string>'})
};
fetch('https://api.crevio.co/v1/forms/{form_id}/submissions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"object": "<string>",
"answers": [
{
"field_type": "<string>",
"label": "<string>",
"required": true,
"value": "<string>",
"options": [
"<string>"
]
}
],
"respondent_type": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"respondent_id": "<string>",
"form_id": "<string>"
}{
"error": {
"type": "invalid_request_error",
"code": "bad_request",
"message": "The request was malformed or contained invalid parameters"
}
}{
"error": {
"type": "invalid_request_error",
"code": "authentication_required",
"message": "You did not provide an API key."
}
}{
"error": {
"type": "invalid_request_error",
"code": "forbidden",
"message": "You do not have permission to perform this action"
}
}{
"error": {
"type": "invalid_request_error",
"code": "resource_missing",
"message": "The requested resource was not found"
}
}{
"error": {
"type": "validation_error",
"code": "validation_failed",
"message": "Email is required",
"errors": {
"email": [
"can't be blank"
]
}
}
}{
"error": {
"type": "api_error",
"code": "internal_error",
"message": "An unexpected error occurred"
}
}Forms
Create form submission
Submits an answer set to a specific Form. Customer is upserted by email; lead-magnet purpose forms also trigger delivery.
POST
/
forms
/
{form_id}
/
submissions
Typescript (SDK)
import { Crevio } from "@crevio/sdk";
const crevio = new Crevio({
apiKey: process.env["CREVIO_API_KEY"] ?? "",
});
async function run() {
const result = await crevio.forms.submit({
formId: "<id>",
requestBody: {
email: "Hadley.Kassulke49@yahoo.com",
answers: {
},
},
});
console.log(result);
}
run();Authorizations
API key in the format: Bearer {api_token}
Path Parameters
Was this page helpful?
⌘I

